> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.upwardli.com/api-access/api-reference/auth/create-token-exchange/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server. # Create Token Exchange POST https://auth.upwardli.com/auth/token/exchange/ Content-Type: application/json Upward Token Exchange View Reference: https://developers.upwardli.com/api-access/api-reference/auth/create-token-exchange ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://auth.upwardli.com` (Production, default) - `https://auth-sandbox.upwardli.com` (Sandbox) ## Request ### Body (application/json) This endpoint expects a TokenExchange. - `grant_type` (string, required) - `subject_token_type` (string, required) - `subject_token` (string, required) - `scope` (string, required) - `audience` (string, required) ## Response ### 201 - `access_token` (string, required) - `token_type` (string, required) - `expires_in` (integer, required) - `scope` (string, required) - `issued_token_type` (string, required) ## Examples **Request** ```json { "grant_type": "string", "subject_token_type": "string", "subject_token": "string", "scope": "string", "audience": "string" } ``` **Response** ```json { "access_token": "string", "token_type": "string", "expires_in": 1, "scope": "string", "issued_token_type": "string" } ``` **SDK Code** ```python import requests url = "https://auth.upwardli.com/auth/token/exchange/" payload = { "grant_type": "string", "subject_token_type": "string", "subject_token": "string", "scope": "string", "audience": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://auth.upwardli.com/auth/token/exchange/'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"grant_type":"string","subject_token_type":"string","subject_token":"string","scope":"string","audience":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://auth.upwardli.com/auth/token/exchange/" payload := strings.NewReader("{\n \"grant_type\": \"string\",\n \"subject_token_type\": \"string\",\n \"subject_token\": \"string\",\n \"scope\": \"string\",\n \"audience\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://auth.upwardli.com/auth/token/exchange/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"grant_type\": \"string\",\n \"subject_token_type\": \"string\",\n \"subject_token\": \"string\",\n \"scope\": \"string\",\n \"audience\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://auth.upwardli.com/auth/token/exchange/") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"grant_type\": \"string\",\n \"subject_token_type\": \"string\",\n \"subject_token\": \"string\",\n \"scope\": \"string\",\n \"audience\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://auth.upwardli.com/auth/token/exchange/', [ 'body' => '{ "grant_type": "string", "subject_token_type": "string", "subject_token": "string", "scope": "string", "audience": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://auth.upwardli.com/auth/token/exchange/"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"grant_type\": \"string\",\n \"subject_token_type\": \"string\",\n \"subject_token\": \"string\",\n \"scope\": \"string\",\n \"audience\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "grant_type": "string", "subject_token_type": "string", "subject_token": "string", "scope": "string", "audience": "string" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://auth.upwardli.com/auth/token/exchange/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```